---
- name: Playbook to manage IPA role.
  hosts: ipaserver
  become: yes
  gather_facts: no

  tasks:
  - name: Ensure role is absent.
    iparole:
      ipaadmin_password: SomeADMINpassword
      name: somerole
      state: absent
